{% extends 'main/sample.html' %}
{% load static %}

{% block title %} Авторизація {% endblock %}
{% block css_url %} <link rel="stylesheet" href="{% static 'main/css/form.css' %}"> {% endblock %}

{% block content %}
<main>
    <form method="post">
        <h1>Авторизація</h1>
        {% csrf_token %}
        <div class="form_error">{{ form.non_field_errors }}</div>
        {% for f in form %}
            <div class="inputGroup">
                {{ f }}
                <label for="{{ f.id_for_label }}">{{ f.label }}</label>
                <div class="form_error">{{ f.errors }}</div>
            </div>

<!--            <h2 for="{{ f.id_for_label }}">{{ f.label }}: <br>{{ f }}</h2>-->
<!--            <div class="form_error">{{ f.errors }}</div>-->
        {% endfor %}
        <div class="description">
            <p>Ще не зареєструвались?</p>
            <a href="{% url 'signup' %}">Реєстрація</a>
        </div>
        <div class="button_box">
            <button type="submit">Увійти</button>
        </div>
    </form>
</main>
{% endblock %}